1. LAANC Operations
AirHub API
  • Introduction
  • Authentication
    • Overview
    • Get Oauth Token
      POST
  • Briefing
    • Overview
    • B4UFLY
      • What Is B4UFLY
      • The API Basics
      • Location vs Area
      • What's New in v2
      • v2
        • B4UFLY Briefing By Area
        • B4UFLY Briefing By Location
      • v1
        • B4UFLY Briefing By Area
        • B4UFLY Briefing By Location
  • Data
    • Positions
      • Send Positions
    • Elevation v1
      • Elevation
    • Elevation v2
      • Elevation
  • Operations
    • ASL Operations
      • List Operations
      • Create Operation
      • Get Operation
      • Delete Operation
      • Update Operation
    • LAANC SDSP
      • Overview
      • LAANC Operations
        • Get Operation
          GET
        • Delete Operation
          DELETE
        • Create Operation
          POST
        • Update Operation
          PUT
      • LAANC Authorizations
        • Rescinded and Invalid Operations
        • Submit Authorization
        • Get Authorization
        • Cancel Authorization
        • Cancel Invalid Authorization
        • Close Authorization
        • Acknowledge Rescinded Authorization
    • Ephemeral Operations
      • Create Ephemeral Operations
      • Get Ephemeral Operation
      • Delete Ephemeral Operation
      • Claim Ephemeral Operation
  • Surface, Risk, and Routing
    • Overview
    • Surface Layers
      • Get Surface Layer Access
    • Risk and Routing
      • Classify Risk
      • Generate Route
      • Surface Hexbin
  • Vector Tiles
    • Overview
AirHub® Portal (Sandbox)
  1. LAANC Operations

Get Operation

Sandbox
https://airhub-api-sandbox.airspacelink.com
Sandbox
https://airhub-api-sandbox.airspacelink.com
GET
/v1/operations/{id}/laanc
Last modified:2026-03-06 18:38:47
Scope: laanc:read
This method will return a single LAANC Operation specified by the id path parameter.

Request

Path Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://airhub-api-sandbox.airspacelink.com/v1/operations//laanc'

Responses

🟢200OK
application/json
A successful response.
Body

Example
{
    "operation": {
        "license": "LICENSE_PART_107",
        "fixedAltitude": false,
        "pointOfContact": {
            "firstName": "Bob",
            "lastName": "Jones",
            "phoneNumber": "540-867-5309",
            "emailAddress": "bobjones@email.com"
        },
        "candidates": [
            {
                "hashCode": "cd5dc390-c7a5-5111-80cf-25ede58b7d00",
                "submissionType": "SUBMISSION_TYPE_AUTO_AUTHORIZATION",
                "startTime": "2024-08-23T20:25:00.000Z",
                "endTime": "2024-08-23T21:25:00.000Z",
                "geom": {
                    "type": "Polygon",
                    "coordinates": [
                        [
                            [
                                -78.55714924875102,
                                38.15773996731016
                            ],
                            [
                                -78.55714924875102,
                                38.121934862230276
                            ],
                            [
                                -78.51075174761395,
                                38.121934862230276
                            ],
                            [
                                -78.51075174761395,
                                38.15773996731016
                            ],
                            [
                                -78.55714924875102,
                                38.15773996731016
                            ]
                        ]
                    ]
                },
                "altitude": 200,
                "airTrafficControl": "CHO"
            }
        ],
        "notices": [
            {
                "action": "ACTION_BLOCK",
                "reason": "REASON_OPERATION_IN_TFR",
                "ids": [],
                "geom": {
                    "type": "Polygon",
                    "coordinates": [
                        [
                            [
                                -78.55714924875102,
                                38.15773996731016
                            ],
                            [
                                -78.55714924875102,
                                38.121934862230276
                            ],
                            [
                                -78.51075174761395,
                                38.121934862230276
                            ],
                            [
                                -78.51075174761395,
                                38.15773996731016
                            ],
                            [
                                -78.55714924875102,
                                38.15773996731016
                            ]
                        ]
                    ]
                },
                "startTime": "2024-08-23T20:25:00.000Z",
                "endTime": "2024-08-23T21:25:00.000Z"
            }
        ],
        "authorizations": [
            {
                "id": "AS1STD8Z9JF0",
                "submissionType": "SUBMISSION_TYPE_AUTO_AUTHORIZATION",
                "geom": {
                    "type": "Polygon",
                    "coordinates": [
                        [
                            [
                                -78.55714924875102,
                                38.15773996731016
                            ],
                            [
                                -78.55714924875102,
                                38.121934862230276
                            ],
                            [
                                -78.51075174761395,
                                38.121934862230276
                            ],
                            [
                                -78.51075174761395,
                                38.15773996731016
                            ],
                            [
                                -78.55714924875102,
                                38.15773996731016
                            ]
                        ]
                    ]
                },
                "altitude": 200,
                "startTime": "2024-08-29T19:00:00Z",
                "endTime": "2024-08-29T20:00:00Z",
                "status": "STATUS_APPROVED",
                "createdAt": "2024-08-28T19:21:43.014961Z",
                "createdBy": "7e72c37c-3111-40d6-986b-d9403e55303a",
                "lastUpdatedAt": "2024-08-28T19:21:43.014961Z",
                "editedBy": "11a3776c-338b-4c6f-8e9b-9c89ca6ecbc1",
                "justification": "",
                "airTrafficControl": "CHO",
                "airspaceClassCodes": [
                    "CLASS_D"
                ],
                "facilityMaps": [
                    {
                        "id": "46a7ee8d-baad-473d-878b-1a500f0a41ee",
                        "lastEditDate": "2017-12-07T00:00:00Z"
                    }
                ]
            }
        ]
    }
}
🟠403Forbidden
🟠404Record Not Found
⚪defaultServer Error
Modified at 2026-03-06 18:38:47
Previous
Overview
Next
Delete Operation
Built with